> For the complete documentation index, see [llms.txt](https://docs.rome.builders/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rome.builders/zh/zi-yuan/glossary.md).

# 术语表

本文档中使用的 Rome 与 Solana 术语定义——ATA、CPI、PDA、VmAt/VmIt、持有者账户、SPL 代币等。

本文档中通篇使用的 Rome 专有术语和 Solana 术语。

## 一个

**推进** — 在 Canton 上提交区块的 Daml 选择。一个 `推进` 它携带区块头、交易、证明和分支。Canton 会一起检查它们，它们要么在一笔交易中一并提交，要么根本不提交。参见 [工作原理](https://docs.rome.builders/zh/canton-zk-evm/how-it-works.md).

**分配** — 为接收方和执行方预留的 Canton 代币。在 Ostia 中， `推进` 执行用于存款或付款的分配。发送方可在结算前收回它。参见 [存款、取款与付款](https://docs.rome.builders/zh/canton-zk-evm/deposits-withdrawals-payments.md).

**ATA（关联代币账户）** — Solana 上针对给定钱包 + 铸币对的确定性代币账户。由钱包公钥、代币铸币和 ATA 程序派生。

**原子执行（VmAt）** — 一种 EVM 交易模式，整个执行在一笔 Solana 交易内完成。大多数操作的默认模式。

## B

**批处理 guest** — 为某条链的创世构建的 ZisK 程序。它检查一个批次的收件箱数据和执行情况，然后提交由 Solana 结算检查的公开值。

**BlockRecord** — 为每个 Ostia 区块创建的 Canton 合约。它保存区块头、交易和证明，因此第三方可以重放链并重新检查每个区块的证明。它不包含分支结算的结果。参见 [信任模型与限制](https://docs.rome.builders/zh/canton-zk-evm/trust-model.md).

**BN254** — 用于 ZK 证明验证的一条椭圆曲线。Rome 支持 ecAdd (0x06)、ecMul (0x07) 和 ecPairing (0x08) 预编译。

**Borsh** — Binary Object Representation Serializer for Hashing。Solana 的标准序列化格式。小端字节序。

**构建者（Ostia）** — 负责生成 Ostia 区块、为每个区块获取证明并将其与……一起提交到 Canton 的服务和 Canton 参与方 `推进`。Ostia DevNet 有一个由 Rome 运行的构建者。参见 [工作原理](https://docs.rome.builders/zh/canton-zk-evm/how-it-works.md).

## C

**Canton** — 对 Ostia 的区块进行排序，并在一笔交易中将每个已证明的 EVM 区块及其 Canton 操作一并提交。参见 [Canton ZK EVM](https://docs.rome.builders/zh/canton-zk-evm/canton-zk-evm.md).

**链 ID** — Rome 上每个 EVM 环境的唯一标识符。每个应用都有自己的链 ID。

**CPI（跨程序调用）** — 在同一笔交易中，一个 Solana 程序调用另一个程序。Rome EVM 合约与 Solana 程序交互的方式。

**计算单元（CU）** — Solana 中相当于 Ethereum gas 的概念。每笔交易都有一个计算预算；操作会消耗 CU。

**确认者** — Ostia 链记录的签署方。其参与方运行一个 sidecar，通过 Canton 的外部调用检查区块证明和网关分支。参见 [信任模型与限制](https://docs.rome.builders/zh/canton-zk-evm/trust-model.md).

## D

**Daml** — 用于 Ostia 在 Canton 上的合约：链头、区块记录，以及结算存款、提现和付款的合约。参见 [工作原理](https://docs.rome.builders/zh/canton-zk-evm/how-it-works.md).

## E

**ERC20SPL** — 一种 ERC-20 包装合约，从 Solana 上底层的 SPL 代币账户读取余额。对于钱包而言，ERC-20 余额就是 SPL 余额；由合约持有的代币存放在包装合约的托管账户中，并记录在其存储中。

**ERC20SPLFactory** — 一个工厂合约，可为任意 SPL 代币铸币部署 ERC20SPL 包装合约。

**退出证明器** — 针对 Solana 上的最终根证明提现，并随后发送其金库付款的服务。

**外部调用** — Daml 通过它调用每个确认参与方 sidecar 的 Canton 扩展。Ostia 将其用于 `验证` 和 `legs` 检查。参见 [工作原理](https://docs.rome.builders/zh/canton-zk-evm/how-it-works.md).

## G

**网关** — 在 Ostia 中，记录区块的 Canton 分支并创建包装代币的 EVM 合约。Canton 上单独的网关参与方持有作为 EVM 上包装代币支撑的代币。参见 [存款、取款与付款](https://docs.rome.builders/zh/canton-zk-evm/deposits-withdrawals-payments.md).

## H

**Hercules** — 区块索引服务。监控 Solana 上的 Rome EVM 事件，并生成与 Ethereum 兼容的区块数据。

**持有者账户** — 链上缓冲区（最大 80 KB），用于存储超过 4 KB Solana（v1）交易限制的大型 EVM 交易。

## I

**迭代执行（VmIt）** — 一种 EVM 交易模式，将执行拆分到多笔 Solana 交易中，每一步尽可能装入其计算预算所能容纳的 opcode（自适应步长）。用于计算密集型操作。

## L

**Lamports** — SOL 的最小单位。1 SOL = 10^9 lamports。

**环节** — 由 Ostia 的 EVM 网关记录的 Canton 操作：存款、提现或付款。已证明的区块及其分支一起在 `推进`。参见 [存款、取款与付款](https://docs.rome.builders/zh/canton-zk-evm/deposits-withdrawals-payments.md).

## M

**Mollusk SVM** — Rome Proxy 用于 `eth_call` 和 gas 估算的链下 Solana VM 模拟器。可执行任意 BPF 程序。

## O

**预言机网关** — 通过 Chainlink 的 AggregatorV3Interface 暴露 Pyth 和 Switchboard 价格馈送的适配器合约。

**Ostia** — Canton 上的一个 ZK EVM。Canton 对其区块进行排序，ZisK 为每个区块生成证明，而每个已证明的区块会在一笔交易中连同其 Canton 操作一起提交到 Canton。它以 Ostia DevNet（链 ID 770101，测试币 tROME）的形式在 Canton Network DevNet 上开放。它与在 Solana 上结算的 Rome ZK EVM rollups 相互独立。参见 [Canton ZK EVM](https://docs.rome.builders/zh/canton-zk-evm/canton-zk-evm.md).

## P

**参与方** — 承载 parties 的 Canton 节点。在 Ostia 的本地网络中，operator 和 confirmer 参与方各自运行一个 sidecar，而 users 参与方承载测试 parties 和读取方。在 Ostia DevNet 中，一个参与方承载所有 Ostia parties，因此其唯一的 sidecar 是唯一的 confirmer，而 Rome 将该参与方作为其自己的 Canton DevNet 验证节点运行。参见 [运行你自己的 Ostia](https://docs.rome.builders/zh/canton-zk-evm/run-it-locally.md) 和 [Ostia DevNet](https://docs.rome.builders/zh/canton-zk-evm/devnet.md).

**Party** — 托管在参与方上的 Canton 身份。Ostia 的合约将 parties 指定为签名者、控制者或观察者；网关 party 持有被锁定的 Canton 代币。参见 [信任模型与限制](https://docs.rome.builders/zh/canton-zk-evm/trust-model.md).

**支付者** — 代表 EVM 用户为 Solana 交易签名并支付费用的 Solana 密钥对。由 Proxy 管理。

**PDA（程序派生地址）** — 由种子和程序 ID 派生的确定性 Solana 地址。没有私钥——程序“拥有”该 PDA。

**programVK** — Ostia 的程序密钥：ZisK 针对每个区块进行证明所依据的已编译链规则（guest）的标识符。它固定在仓库中，并由浏览器和 `/api/status`，并且 sidecar 只接受针对该密钥的区块证明。关于 Solana rollups 的密钥，参见下方的验证密钥。参见 [哪些内容会被证明，哪些不会](https://docs.rome.builders/zh/canton-zk-evm/what-is-proven.md).

**已证明根** — 与经 Solana 结算验证的 ZisK 证明一同发布的状态根。对于无需许可的 Rome ZK EVM 链而言，一旦发布即为最终确定。

**代理** — 将 Ethereum API 调用转换为 Solana 交易的 Rome JSON-RPC 服务器（端口 9090）。

## R

**读取方参与方** — Ostia 的浏览器和索引器所读取的只读 Canton party。其用户只能读取；不能为任何 party 执行操作。参见 [浏览器](https://docs.rome.builders/zh/canton-zk-evm/explorer.md).

**RheaTx** — Rust SDK 中用于单条 Rome 链上单笔 EVM 交易的类型。

**RemusTx** — Rust SDK 中用于不同 Rome 链上的 EVM 交易类型，可在一笔 Solana 交易中以原子方式执行。

**RomulusTx** — Rust SDK 中用于 EVM 交易加原生 Solana 指令的类型，可在一笔 Solana 交易中以原子方式执行。

**ResourceFactory** — 将 Solana 密钥对和持有人账户索引池化，用于并行提交交易的 SDK 组件。

## S

**Sidecar** — 位于每个确认参与方旁边的服务，当 Canton 调用时，它会检查 Ostia 的证明、区块数据和网关分支。参见 [工作原理](https://docs.rome.builders/zh/canton-zk-evm/how-it-works.md).

**SPL Token** — Solana 的标准代币程序。Solana 上所有同质代币（USDC、SOL 等）都是 SPL 代币。

**StateHolder** — 一个链上账户，用于在迭代执行步骤之间存储序列化的 VM 状态。

**同步器** — Ostia 的本地 Canton 网络有一个同步器，由一个 sequencer 和一个 mediator 组成。三个参与方都连接到它。在 Ostia DevNet 中，该参与方连接到 Canton Network DevNet 的同步器，而不是由 Ostia 运行的同步器。参见 [运行你自己的 Ostia](https://docs.rome.builders/zh/canton-zk-evm/run-it-locally.md).

## T

**Token-2022** — 下一代 SPL 代币程序，带有扩展（Transfer Hooks、Confidential Transfers、Permanent Delegates）。

**Transfer Hook** — Token-2022 扩展，会在每次操作时调用一个程序 `transfer_checked` 调用时触发一个程序。

**tROME** — Ostia DevNet 的测试币，精度为 18 位且没有价值。它用于在 Ostia 上支付 gas，并来自浏览器的水龙头。参见 [水龙头](https://docs.rome.builders/zh/zi-yuan/faucets.md).

**TxBuilder** — 将 EVM 交易构建为 Solana 指令的 SDK 组件。

## V

**验证密钥（programVK）** — 在 Solana 上注册的链专用 guest 标识符。只有当其 programVK 与该链的有效条目匹配时，结算才接受该证明。

## Z

**ZisK** — 运行某条链的批处理 guest 并生成由 Rome ZK EVM 结算检查的证明的证明系统。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rome.builders/zh/zi-yuan/glossary.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
